Subject: Re: bug#40273: installer: No way to input Latin characters with non-Latin keyboard layouts

From: Ludovic Courtès <[email-masked]>
Date: Mon, 06 Apr 2020 09:52:21 +0200

Hi Mathieu,

Mathieu Othacehe <[email-masked]> skribis:

>> Do you think that branch is ready for a merge?  Or did you want to
>> further discuss some of the changes?  Florian seemed to agree that it’s
>> a good thing.
>
> Yes, for me it's ready. If you are ok I can check that our new fancy
> tests are still passing and merge it :)

Yes please!  (BTW, sorry for the latency when replying; if you want,
please do chime in on #guix on IRC.)

> Now, there are other locale related issues we may want to address before
> the release:
>
> * The keyboard layout issue in Grub console you reported here[1].
> * The keyboard layout issue during hard drive decryption in Grub[2].
>
> I had a quick look to the second one and using `grub-mkstandalone' seems
> to be the right move but it would then require extensive testing on real
> hardware.

Yeah.  If the change ends up looking risky, perhaps we should postpone
it?  I would really like us to release this week.

Thank you!

Ludo’.